# Generated by rust2rpm
%bcond_without check
%global debug_package %{nil}

%global crate quickersort

Name:           rust-%{crate}
Version:        3.0.0
Release:        1%{?dist}
Summary:        Fast sorting compatible with stable Rust

License:        MIT or ASL 2.0
URL:            https://crates.io/crates/quickersort
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * Bump unreachable to 1
# * Bump rand to 0.4
# * Bump itertools to 0.7
# * Remove unstable feature, https://github.com/notriddle/quickersort/issues/25
Patch0:         quickersort-3.0.0-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
# [dependencies]
BuildRequires:  (crate(nodrop) >= 0.1.0 with crate(nodrop) < 0.2.0)
BuildRequires:  (crate(unreachable) >= 1.0.0 with crate(unreachable) < 2.0.0)
%if %{with check}
# [dev-dependencies]
BuildRequires:  (crate(itertools) >= 0.7.0 with crate(itertools) < 0.8.0)
BuildRequires:  (crate(num-traits) >= 0.1.0 with crate(num-traits) < 0.2.0)
BuildRequires:  (crate(rand) >= 0.4.0 with crate(rand) < 0.5.0)
%endif

%description
%{summary}.

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel
Fast sorting compatible with stable Rust. Also has (optional) support for
efficient and robust sorting of floating point numbers.

This package contains library source intended for building other packages
which use %{crate} from crates.io.

%prep
%autosetup -n %{crate}-%{version} -N
grep -IUlr $'\r' | xargs sed -i 's/\r$//'
%autopatch -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%files          devel
%license LICENSE
%doc CHANGELOG.md perf.txt README.md
%{cargo_registry}/%{crate}-%{version}/
%exclude %{cargo_registry}/%{crate}-%{version}/bors.toml

%changelog
* Sat Jan 06 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.0.0-1
- Initial package
